ADM CPU and Nvidia GPU - Laptop | HDMI no signal

Hi.
I have problem i can't solve. I have gaming laptop with AMD Ryzen 5 4600H with Radeon Graphics and NVIDIA GeForce GTX 1650 Ti.
Problem is that after instlation my extended monitor dont have signal. It is detected but "No signal" on monitor.
So what I have read problem is Radeon integrated graphics bite with Geforce. I can't disable in BIOS integrated graphic which probalby would solve the problem because i have restricted access to advanced bios setting (thats a HP producers politics).
I tried to change in xorg.conf to primary nvidia but it is empty.
So what can I do? I tam so tired of neverending solving issues with linux but i need it to work. On my desktop i never had such problems like on my laptop.
I tried every garuda versions, manjaro, ubuntu and it is still same problem. I would like to stay on Virutal machine but even on powerful computer peroformance is terrible no matter how many resources I share.
I see it is popular problem with amd and nvidia combined into laptop. Is it even posible to have feature like on windows when dedicated graphic is only on when needed?

Hello Garuda users.

Please read the following template before requesting assistance:

Please post the terminal/konsole input and output as text (no pictures) from the following command:

garuda-inxi

Refusing to post the output of the required "garuda-inxi" on a help request will likely result in you not receiving any help from the Garuda team. A failure to provide your system specs may also result in your thread being closed without notice, (as without this information providing assistance is often next to impossible).

Before opening a new help request, please search the Arch and Garuda Wiki's, and read any relevant sections related to your issue. Also, thoroughly search any error messages in the forum's search engine and on the web. For in depth information on how to search for answers to Linux issues effectively read the tips on the Garuda Wiki:

Please report in detail everything you have already attempted to solve your problem.

The template above should be deleted before posting your help request.

2 Likes
2 Likes

Hi there,

I have AMD 5800h + Nvidia 3060 laptop on HP Omen

I have been using optimus-manager for more than an year now, and it has been working flawlessly.

Just enter

sudo pacman -Syu optimus-manager

And install it and restart.

Now, you should see
image

icon in your panel.
Right click on it and select switch to Nvidia or hybrid, whichever you want.
You must login in again now, and you are good to go.

I don't know if it's best practice. But it just works for me.

PS : use command

sudo pacman -Syu  garuda-optimus-manager-config

because dependency issue.

2 Likes

I tried and got
garuda-nvidia-prime-config and optimus-manager are in conflict

Yeah, just press Y to continue

Execution ended on that information.

I unistalled sudo pacman -R garuda-nvidia-prime-config,
Installed by your comment and now i have information that properiaty drivers dont exist, and nothing changed, i don't see optimus working.

:: garuda-nvidia-prime-config and optimus-manager are in conflict
Error: pacman failed!
Error: script failed!

that was before and now when i try install hardware - properiaty driver install

Does your HDAMI extended monitor on opitums work?

Hi, try

sudo pacman -Syu  garuda-optimus-manager-config

And copy paste exact terminal output as text.

Also, for formatting, enclose output with 3 `
For example, if your output is "Hello", write

```
Hello
```

Should output

Hello

here

1 Like
λ sudo pacman -Syu  garuda-optimus-manager-config
[sudo] password for martin:
:: Synchronizing package databases...
garuda                                 98.3 KiB   103 KiB/s 00:01 [------------------------------------] 100%
core                                  152.1 KiB   237 KiB/s 00:01 [------------------------------------] 100%
extra                                1746.2 KiB  1075 KiB/s 00:02 [------------------------------------] 100%
community                               7.2 MiB   938 KiB/s 00:08 [------------------------------------] 100%
multilib is up to date
chaotic-aur                             2.2 MiB   424 KiB/s 00:05 [------------------------------------] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: ruby-erb will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-erb will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-stdlib will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-bundledgems will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-bundledgems will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-bundledgems will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-bundledgems will be installed before its ruby dependency
warning: dependency cycle detected:
warning: ruby-bundledgems will be installed before its ruby dependency

Packages (22) acpi_call-dkms-1.2.2-1  bbswitch-dkms-0.8-561  curl-7.87.0-3
dxvk-mingw-git-2.0.r67.g0342a25e-1  electron19-19.1.9-3  kio-5.101.0-2  libcurl-compat-7.87.0-3
libcurl-gnutls-7.87.0-3  libnma-1.10.6-1  libnma-common-1.10.6-1  libopenmpt-0.6.7-1
libspectre-0.2.12-1  man-db-2.11.2-1  optimus-manager-qt-1.6.9-1.1  qt5-base-5.15.8+kde+r160-1
qt5-declarative-5.15.8+kde+r22-2  qt5-websockets-5.15.8+kde+r3-1  ruby-3.0.5-1
ruby-bundledgems-3.0.5-1  ruby-erb-4.0.2-2  ruby-stdlib-3.0.5-1
garuda-optimus-manager-config-1:r63.2f652e8-2

Total Download Size:    95.12 MiB
Total Installed Size:  334.69 MiB
Net Upgrade Size:        1.09 MiB

:: Proceed with installation? [Y/n] Y
:: Retrieving packages...
kio-5.101.0-2-x86_64                    8.2 MiB  1217 KiB/s 00:07 [------------------------------------] 100%
qt5-declarative-5.15.8+kde+r22-2...     4.8 MiB   642 KiB/s 00:08 [------------------------------------] 100%
ruby-3.0.5-1-x86_64                     2.8 MiB  1435 KiB/s 00:02 [------------------------------------] 100%
curl-7.87.0-3-x86_64                 1178.0 KiB   764 KiB/s 00:02 [------------------------------------] 100%
man-db-2.11.2-1-x86_64               1110.5 KiB  1517 KiB/s 00:01 [------------------------------------] 100%
libcurl-compat-7.87.0-3-x86_64        278.1 KiB   813 KiB/s 00:00 [------------------------------------] 100%
libopenmpt-0.6.7-1-x86_64             687.7 KiB   791 KiB/s 00:01 [------------------------------------] 100%
libcurl-gnutls-7.87.0-3-x86_64        270.9 KiB  1019 KiB/s 00:00 [------------------------------------] 100%
libnma-common-1.10.6-1-x86_64         192.1 KiB   560 KiB/s 00:00 [------------------------------------] 100%
optimus-manager-qt-1.6.9-1.1-x86_64   205.9 KiB   305 KiB/s 00:01 [------------------------------------] 100%
libnma-1.10.6-1-x86_64                114.6 KiB   597 KiB/s 00:00 [------------------------------------] 100%
qt5-websockets-5.15.8+kde+r3-1-x...    80.1 KiB   438 KiB/s 00:00 [------------------------------------] 100%
libspectre-0.2.12-1-x86_64             30.7 KiB   337 KiB/s 00:00 [------------------------------------] 100%
ruby-erb-4.0.2-2-x86_64                26.3 KiB   117 KiB/s 00:00 [------------------------------------] 100%
acpi_call-dkms-1.2.2-1-any             12.4 KiB  78.2 KiB/s 00:00 [------------------------------------] 100%
bbswitch-dkms-0.8-561-x86_64            7.7 KiB   100 KiB/s 00:00 [------------------------------------] 100%
ruby-stdlib-3.0.5-1-x86_64              2.9 KiB  36.8 KiB/s 00:00 [------------------------------------] 100%
garuda-optimus-manager-config-1:...     4.1 KiB  13.3 KiB/s 00:00 [------------------------------------] 100%
ruby-bundledgems-3.0.5-1-x86_64         2.7 KiB  32.4 KiB/s 00:00 [------------------------------------] 100%
dxvk-mingw-git-2.0.r67.g0342a25e...     7.4 MiB   593 KiB/s 00:13 [------------------------------------] 100%
qt5-base-5.15.8+kde+r160-1-x86_64      13.0 MiB   767 KiB/s 00:17 [------------------------------------] 100%
electron19-19.1.9-3-x86_64             54.8 MiB  2.37 MiB/s 00:23 [------------------------------------] 100%
Total (22/22)                          95.1 MiB  4.10 MiB/s 00:23 [------------------------------------] 100%
(22/22) checking keys in keyring                                   [------------------------------------] 100%
(22/22) checking package integrity                                 [------------------------------------] 100%
(22/22) loading package files                                      [------------------------------------] 100%
(22/22) checking for file conflicts                                [------------------------------------] 100%
(22/22) checking available disk space                              [------------------------------------] 100%
:: Running pre-transaction hooks...
(1/1) Performing snapper pre snapshots for the following configurations...
Failed to set locale.
==> root: 13
:: Processing package changes...
( 1/22) upgrading curl                                             [------------------------------------] 100%
( 2/22) upgrading qt5-base                                         [------------------------------------] 100%
( 3/22) installing optimus-manager-qt                              [------------------------------------] 100%
( 4/22) installing bbswitch-dkms                                   [------------------------------------] 100%
( 5/22) installing acpi_call-dkms                                  [------------------------------------] 100%
( 6/22) installing garuda-optimus-manager-config                   [------------------------------------] 100%
ln: failed to create symbolic link '/etc/systemd/system/graphical.target.wants/optimus-manager.service': File exists
( 7/22) upgrading dxvk-mingw-git                                   [------------------------------------] 100%
( 8/22) upgrading electron19                                       [------------------------------------] 100%
( 9/22) upgrading qt5-declarative                                  [------------------------------------] 100%
(10/22) upgrading kio                                              [------------------------------------] 100%
(11/22) upgrading libcurl-compat                                   [------------------------------------] 100%
(12/22) upgrading libcurl-gnutls                                   [------------------------------------] 100%
(13/22) upgrading libnma-common                                    [------------------------------------] 100%
(14/22) upgrading libnma                                           [------------------------------------] 100%
(15/22) upgrading libopenmpt                                       [------------------------------------] 100%
(16/22) upgrading libspectre                                       [------------------------------------] 100%
(17/22) upgrading man-db                                           [------------------------------------] 100%
(18/22) upgrading qt5-websockets                                   [------------------------------------] 100%
(19/22) upgrading ruby-erb                                         [------------------------------------] 100%
(20/22) upgrading ruby-stdlib                                      [------------------------------------] 100%
(21/22) upgrading ruby-bundledgems                                 [------------------------------------] 100%
(22/22) upgrading ruby                                             [------------------------------------] 100%
:: Running post-transaction hooks...
( 1/14) Reloading system manager configuration...
( 2/14) Creating temporary files...
Failed to write file "/sys/module/pcie_aspm/parameters/policy": Operation not permitted
error: command failed to execute correctly
( 3/14) Arming ConditionNeedsUpdate...
( 4/14) Install DKMS modules
==> dkms install --no-depmod acpi_call/1.2.2 -k 6.1.4-zen2-1-zen
==> dkms install --no-depmod bbswitch/0.8 -k 6.1.4-zen2-1-zen
==> depmod 6.1.4-zen2-1-zen
( 5/14) Updating linux initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'default'
-> -k /boot/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-zen.img
==> Starting build: 6.1.4-zen2-1-zen
-> Running build hook: [base]
-> Running build hook: [udev]
-> Running build hook: [autodetect]
-> Running build hook: [modconf]
-> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: xhci_pci
-> Running build hook: [keyboard]
-> Running build hook: [keymap]
-> Running build hook: [consolefont]
-> Running build hook: [plymouth]
-> Running build hook: [filesystems]
-> Running build hook: [grub-btrfs-overlayfs]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-zen.img
bsdtar: Failed to set default locale
bsdtar: Failed to set default locale
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'fallback'
-> -k /boot/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-zen-fallback.img -S autodetect
==> Starting build: 6.1.4-zen2-1-zen
-> Running build hook: [base]
-> Running build hook: [udev]
-> Running build hook: [modconf]
-> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: aic94xx
==> WARNING: Possibly missing firmware for module: bfa
==> WARNING: Possibly missing firmware for module: qed
==> WARNING: Possibly missing firmware for module: qla1280
==> WARNING: Possibly missing firmware for module: qla2xxx
==> WARNING: Possibly missing firmware for module: wd719x
==> WARNING: Possibly missing firmware for module: xhci_pci
-> Running build hook: [keyboard]
-> Running build hook: [keymap]
-> Running build hook: [consolefont]
-> Running build hook: [plymouth]
-> Running build hook: [filesystems]
-> Running build hook: [grub-btrfs-overlayfs]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-zen-fallback.img
bsdtar: Failed to set default locale
bsdtar: Failed to set default locale
==> Image generation successful
( 6/14) Foreign/AUR package notification
itch 1:1.26.0-2
lib32-openssl-1.0 1.0.2.u-2
rootactions-servicemenu 2.7.3-1
( 7/14) Orphaned package notification...
amd-ucode 20221214.f3c283e-1
ark 22.12.1-1
base 3-1
bluetooth-autoconnect 1.3-1.2
bluetooth-support 1-7
bottles 2022.12.14-1
chromium 108.0.5359.124-1
code 1.74.2-1
corectrl 1.3.1-1
dialog 1:1.3_20221229-1
discord 0.0.22-1
displaycal 3.9.10-1
dolphin-plugins 22.12.1-1
downgrade 11.2.1-1.1
dxvk-mingw-git 2.0.r67.g0342a25e-1
ecryptfs-utils 111-7
elisa 22.12.1-1
ethtool 1:6.0-2
fancontrol-gui-git v0.8.r23.g5bfa8fa-1.1
fastfetch 1.8.2-1
firedragon-extension-plasma-integration 1.8.1-3.1
firedragon-extension-xdm-browser-monitor 2.2-1.1
garuda-dr460nized 2.0.12-3
garuda-settings-manager-kcm 1.0.2-1
garuda-setup-assistant 3.1.7-1
garuda-system-maintenance 1.6.1-1
garuda-welcome 1.2.0-1
garuda-zsh-config 1.1.6-1
geocode-glib 3.26.4-2
gnome-firmware 43.0-1
goverlay-git 0.9.1.r0.gf6f4eb0-1
gstreamer-meta 1-4
guiscrcpy 1:2023.1.1-1
gwenview 22.12.1-1
heroic-games-launcher-bin 2.5.2-1
inetutils 2.3-1
inxi 3.3.24.1-4
jamesdsp 2.4-1.1
js78 78.15.0-4
kcalc 22.12.1-1
kde-games-meta 22.12-1
kde-gtk-config 5.26.5-1
kde-service-menu-reimage 2.5-1.1
kde-servicemenus-encfs 0.8-2.1
kde-servicemenus-komparemenu 0.1-3.1
kde-servicemenus-officeconverter 1-1.1
kde-servicemenus-pdf 2.3-1.1
kde-servicemenus-pdf-encrypt-decrypt 1-1.1
kde-servicemenus-sendtodesktop 1-1.1
keyboard-visualizer-git release_4.00.r26.gb50cc50-1.1
kfiredragonhelper 5.0.6-1.1
kget 22.12.1-1
khotkeys 5.26.5-1
kinit 5.101.0-1
kio-gdrive 22.12.1-1
krdc 22.12.1-1
krfb 22.12.1-1
ktorrent 22.12.1-1
kwallet-pam 5.26.5-1
kwayland-integration 5.26.5-1
kwin-effects-sliding-notifications 1.4.0-1.1
kwin-scripts-forceblur 0.6.1-1.1
latte-dock 0.10.8-1.2
lib32-json-glib 1.6.6-2
lib32-mangohud 0.6.8-1.1
lib32-openssl-1.0 1.0.2.u-2
lib32-pcre 8.45-3
lib32-rest 0.8.1-4
lib32-smpeg 2.0.0-1
lib32-vkbasalt 0.3.2.8-1
libcddb 1.3.2-7
libinput_gestures_qt 0.3.2+7+g0868859-1.1
libretro-meta 1-7
libvisual 0.4.0-8
linux-zen 6.1.4.zen2-1
logrotate 3.21.0-2
ltris 1.2.6-1
lutris 0.5.12-2
man-db 2.11.2-1
man-pages 6.02-1
mercurial 6.3.2-1
micro 2.0.11-4
minecraft-launcher 1:1.0.1221-1.1
minetest 5.6.1-2
minetest-server 5.6.1-2
minigalaxy 1.2.2-3.1
mkinitcpio-openswap 0.1.0-3.1
mpv 1:0.35.0-4
mumble 1.4.287-5
murmur 1.4.287-5
nano 7.1-1
networkmanager-support 1-6
nextcloud-client 2:3.6.4-1
nfs-utils 2.6.2-1
ntp 4.2.8.p15-3
obs-studio 28.1.2-2
octopi 0.14.0-2
okular 22.12.1-1
oversteer 0.7.2-1
partitionmanager 22.12.1-1
pipewire-support 1-14
plasma-desktop 5.26.5-1
plasma-disks 5.26.5-1
plasma-firewall 5.26.5-1
plasma-pa 5.26.5-1
plasma-systemmonitor 5.26.5-1
plasma-vault 5.26.5-1
powertop 2.15-1
proton-ge-custom 2:GE.Proton7.43-4
protontricks-git 1.10.1.r2.g6ad2772-1
python-beaker 1.12.0-1
python-importlib-metadata 5.0.0-1
python-nspektr 0.4.0-2
rate-mirrors 0.11.1-1
resvg 0.23.0-1
sddm-kcm 5.26.5-1
slack-desktop 4.29.149-1
snapper-support 1.1.2-2
spectacle 22.12.1-1
steamtinkerlaunch 12.0-2
teeworlds 0.7.5-2
thunderbird 102.6.1-1
vi 1:070224-6
virt-manager-meta 5-4
wayland-protocols 1.31-1
wine-meta 1-5
xorg-xwayland 22.1.7-1
xsel 1.2.0.20200527-2
( 8/14) Checking for .pacnew and .pacsave files...
.pac* files found:
/etc/locale.gen.pacnew
/etc/default/grub.pacnew
/etc/default/grub-btrfs/config.pacnew
/etc/mkinitcpio.conf.pacnew
/etc/pacman.d/mirrorlist.pacnew
/etc/paru.conf.pacnew
/etc/retroarch.cfg.pacnew
Please check and merge
( 9/14) Changing optimus-manager default configuration
(10/14) Compiling GSettings XML schema files...
(11/14) Updating icon theme caches...
(12/14) Updating the desktop file MIME type cache...
(13/14) Performing snapper post snapshots for the following configurations...
Failed to set locale.
==> root: 14
(14/14) Syncing all file systems...

Ok. So i got than icon. I clicked to switch for Nvidia. Than I am logout and here before login my extended monitor have doubled login screen. But when I log in I still have no signal.

Ok my Master i managed to got signal.

But on extended monitor like on screen system is little bit laggy not such smooth like on one monitor. I checked if I set my Aoc monitor as primary and only and system goes back to being smooth so its seems that extension causing some system laging but thank you so much we are able to got signal!

There is something strange. Way too many:

By-the-way, you have not provided your garuda-inxi yet.
Ops, I see now the problem is probably solved...

Not solved entirely. Now i switched optimus to Hybrid. System is smooth on both primary and extended monitor but as u can see windows are broken :frowning:

I could even add photo. System will be reinstalled after that playground so maybe it is way to do all that efficient way during installation?

perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "en_US",
LC_ALL = (unset),
LC_ADDRESS = "en_GB.UTF-8",
LC_NAME = "en_GB.UTF-8",
LC_MONETARY = "en_GB.UTF-8",
LC_PAPER = "en_GB.UTF-8",
LC_IDENTIFICATION = "en_GB.UTF-8",
LC_TELEPHONE = "en_GB.UTF-8",
LC_MEASUREMENT = "pl_PL.UTF-8",
LC_TIME = "en_GB.UTF-8",
LC_NUMERIC = "en_GB.UTF-8",
LANG = "en_GB.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to a fallback locale ("en_GB.UTF-8").
System:
Kernel: 6.1.4-zen2-1-zen arch: x86_64 bits: 64 compiler: gcc v: 12.2.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=c8ef7bab-57c7-49bc-bf44-205e6b6cafef rw [email protected]
quiet quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
loglevel=3 ibt=off
Desktop: KDE Plasma v: 5.26.5 tk: Qt v: 5.15.8 info: latte-dock
wm: kwin_x11 vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Laptop System: HP product: HP Pavilion Gaming Laptop 15-ec1xxx v: N/A
serial: <superuser required> Chassis: type: 10 serial: <superuser required>
Mobo: HP model: 87B2 v: 31.25 serial: <superuser required> UEFI: AMI
v: F.27 date: 03/17/2022
Battery:
ID-1: BAT0 charge: 41.4 Wh (100.0%) condition: 41.4/41.4 Wh (100.0%)
volts: 12.7 min: 11.6 model: Hewlett-Packard Primary type: Li-ion
serial: N/A status: full cycles: 372
CPU:
Info: model: AMD Ryzen 5 4600H with Radeon Graphics bits: 64 type: MT MCP
arch: Zen 2 gen: 3 level: v3 note: check built: 2020-22
process: TSMC n7 (7nm) family: 0x17 (23) model-id: 0x60 (96) stepping: 1
microcode: 0x8600106
Topology: cpus: 1x cores: 6 tpc: 2 threads: 12 smt: enabled cache:
L1: 384 KiB desc: d-6x32 KiB; i-6x32 KiB L2: 3 MiB desc: 6x512 KiB L3: 8 MiB
desc: 2x4 MiB
Speed (MHz): avg: 2323 high: 3000 min/max: 1400/3000 boost: enabled
scaling: driver: acpi-cpufreq governor: performance cores: 1: 1738 2: 3000
3: 3000 4: 2438 5: 1397 6: 3000 7: 1396 8: 3000 9: 1519 10: 3000 11: 3000
12: 1397 bogomips: 71863
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
Vulnerabilities: <filter>
Graphics:
Device-1: NVIDIA TU117M [GeForce GTX 1650 Ti Mobile] vendor: Hewlett-Packard
driver: nvidia v: 525.78.01 alternate: nouveau,nvidia_drm non-free: 525.xx+
status: current (as of 2022-12) arch: Turing code: TUxxx
process: TSMC 12nm FF built: 2018-22 pcie: gen: 3 speed: 8 GT/s lanes: 8
link-max: lanes: 16 ports: active: none off: HDMI-A-1 empty: none
bus-ID: 01:00.0 chip-ID: 10de:1f95 class-ID: 0300
Device-2: AMD Renoir vendor: Hewlett-Packard driver: amdgpu v: kernel
arch: GCN-5.1 code: Vega-2 process: TSMC n7 (7nm) built: 2018-21 pcie:
gen: 3 speed: 8 GT/s lanes: 16 link-max: gen: 4 speed: 16 GT/s ports:
active: eDP-1 empty: none bus-ID: 05:00.0 chip-ID: 1002:1636
class-ID: 0300 temp: 43.0 C
Device-3: Luxvisions Innotech HP TrueVision HD Camera type: USB
driver: uvcvideo bus-ID: 3-3:2 chip-ID: 30c9:0013 class-ID: 0e02
serial: <filter>
Display: x11 server: X.Org v: 21.1.6 with: Xwayland v: 22.1.7
compositor: kwin_x11 driver: X: loaded: modesetting,nvidia dri: radeonsi
gpu: amdgpu,nvidia,nvidia-nvswitch display-ID: :0 screens: 1
Screen-1: 0 s-res: 3840x1080 s-dpi: 96 s-size: 1013x285mm (39.88x11.22")
s-diag: 1052mm (41.43")
Monitor-1: HDMI-A-1 mapped: HDMI-0 note: disabled pos: right
model: AOC 24G2W1G4 serial: <filter> built: 2021 res: 1920x1080 hz: 60
dpi: 93 gamma: 1.2 size: 527x296mm (20.75x11.65") diag: 604mm (23.8")
ratio: 16:9 modes: max: 1920x1080 min: 640x480
Monitor-2: eDP-1 mapped: eDP-1-1 pos: primary,left
model: ChiMei InnoLux 0x1521 built: 2020 res: 1920x1080 hz: 144 dpi: 142
gamma: 1.2 size: 344x193mm (13.54x7.6") diag: 394mm (15.5") ratio: 16:9
modes: max: 1920x1080 min: 640x480
API: OpenGL v: 4.6.0 NVIDIA 525.78.01 renderer: NVIDIA GeForce GTX 1650
Ti/PCIe/SSE2 direct render: Yes
Audio:
Device-1: NVIDIA vendor: Hewlett-Packard driver: snd_hda_intel v: kernel
pcie: gen: 3 speed: 8 GT/s lanes: 8 link-max: lanes: 16 bus-ID: 01:00.1
chip-ID: 10de:10fa class-ID: 0403
Device-2: AMD ACP/ACP3X/ACP6x Audio Coprocessor vendor: Hewlett-Packard
driver: N/A alternate: snd_pci_acp3x, snd_rn_pci_acp3x, snd_pci_acp5x,
snd_pci_acp6x, snd_acp_pci, snd_rpl_pci_acp6x, snd_pci_ps,
snd_sof_amd_renoir, snd_sof_amd_rembrandt pcie: gen: 3 speed: 8 GT/s
lanes: 16 link-max: gen: 4 speed: 16 GT/s bus-ID: 05:00.5
chip-ID: 1022:15e2 class-ID: 0480
Device-3: AMD Family 17h/19h HD Audio vendor: Hewlett-Packard
driver: snd_hda_intel v: kernel pcie: gen: 3 speed: 8 GT/s lanes: 16
link-max: gen: 4 speed: 16 GT/s bus-ID: 05:00.6 chip-ID: 1022:15e3
class-ID: 0403
Sound API: ALSA v: k6.1.4-zen2-1-zen running: yes
Sound Server-1: PulseAudio v: 16.1 running: no
Sound Server-2: PipeWire v: 0.3.63 running: yes
Network:
Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet
vendor: Hewlett-Packard driver: r8169 v: kernel pcie: gen: 1 speed: 2.5 GT/s
lanes: 1 port: e000 bus-ID: 02:00.0 chip-ID: 10ec:8168 class-ID: 0200
IF: eno1 state: down mac: <filter>
Device-2: Realtek RTL8822CE 802.11ac PCIe Wireless Network Adapter
vendor: Hewlett-Packard driver: rtw_8822ce v: N/A modules: rtw88_8822ce
pcie: gen: 1 speed: 2.5 GT/s lanes: 1 port: d000 bus-ID: 03:00.0
chip-ID: 10ec:c822 class-ID: 0280
IF: wlo1 state: down mac: <filter>
Bluetooth:
Device-1: Realtek Bluetooth Radio type: USB driver: btusb v: 0.8
bus-ID: 1-4:3 chip-ID: 0bda:b00c class-ID: e001 serial: <filter>
Report: bt-adapter ID: hci0 rfk-id: 0 state: down
bt-service: enabled,running rfk-block: hardware: no software: yes
address: <filter>
Drives:
Local Storage: total: 942.7 GiB used: 30.61 GiB (3.2%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Western Digital model: PC SN530
SDBPNPZ-512G-1006 size: 476.94 GiB block-size: physical: 512 B
logical: 512 B speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter>
rev: HPS2 temp: 40.9 C scheme: GPT
ID-2: /dev/sda maj-min: 8:0 vendor: Samsung model: SSD 870 EVO 500GB
size: 465.76 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
type: SSD serial: <filter> rev: 2B6Q scheme: GPT
Partition:
ID-1: / raw-size: 44.81 GiB size: 44.81 GiB (100.00%)
used: 30.61 GiB (68.3%) fs: btrfs dev: /dev/sda5 maj-min: 8:5
ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
used: 612 KiB (0.2%) fs: vfat dev: /dev/sda1 maj-min: 8:1
ID-3: /home raw-size: 44.81 GiB size: 44.81 GiB (100.00%)
used: 30.61 GiB (68.3%) fs: btrfs dev: /dev/sda5 maj-min: 8:5
ID-4: /var/log raw-size: 44.81 GiB size: 44.81 GiB (100.00%)
used: 30.61 GiB (68.3%) fs: btrfs dev: /dev/sda5 maj-min: 8:5
ID-5: /var/tmp raw-size: 44.81 GiB size: 44.81 GiB (100.00%)
used: 30.61 GiB (68.3%) fs: btrfs dev: /dev/sda5 maj-min: 8:5
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 14.99 GiB used: 0 KiB (0.0%) priority: 100
dev: /dev/zram0
ID-2: swap-2 type: partition size: 16.49 GiB used: 0 KiB (0.0%)
priority: -2 dev: /dev/sda4 maj-min: 8:4
Sensors:
System Temperatures: cpu: 60.8 C mobo: N/A
Fan Speeds (RPM): fan-1: 0 fan-2: 0
GPU: device: nvidia screen: :0.0 temp: 43 C device: amdgpu temp: 43.0 C
Info:
Processes: 330 Uptime: 1m wakeups: 1 Memory: 14.99 GiB
used: 2.93 GiB (19.6%) Init: systemd v: 252 default: graphical
tool: systemctl Compilers: gcc: 12.2.0 clang: 14.0.6 Packages: pm: pacman
pkgs: 1904 libs: 528 tools: octopi,paru Shell: fish v: 3.5.1 default: Bash
v: 5.1.16 running-in: konsole inxi: 3.3.24
Garuda (2.6.14-1):
System install date:     2022-11-08
Last full system update: 2023-01-09
Is partially upgraded:   No
Relevant software:       snapper NetworkManager mkinitcpio nvidia-dkms
Windows dual boot:       Probably (Run as root to verify)
Failed units:

I don't know much in this regard, to be honest. I run Cinnamon, and have very different monitor, and it is running very smooth here.

Also, be sure to match refresh rate and resolution of both devices.

Ohh, and yeah, I am marking this thread solved now. If you are still facing issue, create a brand new topic will be better with complete info.

Have a good day !

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.